<template>
  <div id="app" class="col-sm-12">
  <div class="offset">
  <table class="table table-bordered">
    <thead>
      <tr>
          <th v-for="title in titles" v-bind:key="title">{{ title }}</th>
      </tr>
    </thead>
    <tbody>
        <tr v-for="record in records" v-bind:key="record">
            <td v-for="title in titles" v-bind:key="title">{{ record[title] }}</td>
        </tr>
    </tbody>
  </table>
  </div>
  </div>
</template>

<script>
import './Table.css';
export default {
props: {
        titles: {
          type: Array,
          default: []
        },
        records: {
          type: Array,
          default: []
        }
    }
}
</script>